#ifndef MINORI_GUI_TRANSLATE_ANIME_H_
#define MINORI_GUI_TRANSLATE_ANIME_H_

#include "core/anime.h"

namespace Translate {

std::string ToString(const Anime::ListStatus status);
std::string ToString(const Anime::SeriesFormat format);
std::string ToString(const Anime::SeriesSeason season);
std::string ToString(const Anime::SeriesStatus status);
std::string ToString(const Anime::Services service);
std::string ToString(const Anime::TitleLanguage language);
std::string ToString(const Anime::ScoreFormat format);

std::string ToLocalString(const Anime::ListStatus status);
std::string ToLocalString(const Anime::SeriesFormat format);
std::string ToLocalString(const Anime::SeriesSeason season);
std::string ToLocalString(const Anime::SeriesStatus status);
std::string ToLocalString(const Anime::Services service);
std::string ToLocalString(const Anime::TitleLanguage language);
std::string ToLocalString(const Anime::ScoreFormat language);

Anime::ListStatus ToListStatus(const std::string& str);
Anime::SeriesFormat ToSeriesFormat(const std::string& str);
Anime::SeriesSeason ToSeriesSeason(const std::string& str);
Anime::SeriesStatus ToSeriesStatus(const std::string& str);
Anime::Services ToService(const std::string& str);
Anime::TitleLanguage ToLanguage(const std::string& str);
Anime::ScoreFormat ToScoreFormat(const std::string& str);

} // namespace Translate

#endif // MINORI_GUI_TRANSLATE_ANIME_H_
